This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 547498

Summary: booting with serial console requires keyboard input to proceed
Product: [Fedora] Fedora Reporter: Jeff Layton <jlayton>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: amit.shah, berrange, clalance, crobinso, dwmw2, ehabkost, gcosta, itamar, jaswinder, jforbes, knoel, markmc, ondrejj, scottt.tw, steved, veillard, virt-maint
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 20:40:00 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 514891    
Attachments:
Description Flags
strace of "virsh console" session during boot of rawhide guest none

Description Jeff Layton 2009-12-14 14:46:49 EST
Created attachment 378322 [details]
strace of "virsh console" session during boot of rawhide guest

I'm having an intermittent problem with KVM guests, however I'm not certain that it's actually a libvirt problem. I could use some guidance on how to narrow down the culprit. Please reassign if you think this is more appropriately assigned elsewhere.

Occasionally, I'll reboot one and then notice some time later that it's not up. I'll then pull up the serial console and hit return a few times, and see a few boot messages pop up. The boot will then stall until I hit return some more. In order to get the thing completely booted, I usually have to hold down the return key.

It doesn't happen on every boot of a guest and I'm not sure what triggers it, but it obviously isn't good for KVM guests not to reboot reliably.

Any thoughts on how to determine the cause? I've only seen this occur in kvm guests. Attached is a snippet of strace of a "virsh console" session during a rawhide guest boot. It clearly shows that the poll never gets any output from the pty until we've written to it.
Comment 1 Jeff Layton 2009-12-14 14:51:40 EST
A few more details...

I never see kernel messages need input to proceed. For instance, once it's booted, I can do this in the guest:

# echo ? > /proc/sysrq-trigger

and see the help message pop up on the console. I think that probably means that this is actually a problem within the guest -- maybe with upstart?

I'm not sure who to assign that to however, and I'm also not clear on why I've only ever seen this on KVM guests.
Comment 2 Cole Robinson 2010-05-12 11:22:14 EDT
Nothing new to say on this issue, other than it is definitely not a libvirt issue. I know the qemu char device code can stall boot sometimes if the type gets full, but not sure if its the same issue. Reassigning to qemu.
Comment 3 Bug Zapper 2010-11-03 23:21:43 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 20:40:00 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.